MagickWand: magick-wand.c File Reference

# magick-wand.c File Reference

`#include "wand/studio.h"`
`#include "wand/MagickWand.h"`
`#include "wand/magick-wand-private.h"`
`#include "wand/wand.h"`

## Defines
#define | ThrowWandException(severity, tag, context)
## Functions
WandExport void | ClearMagickWand (MagickWand *wand)
WandExport MagickWand * | CloneMagickWand (const MagickWand *wand)
WandExport MagickWand * | DestroyMagickWand (MagickWand *wand)
WandExport MagickBooleanType | IsMagickWand (const MagickWand *wand)
WandExport MagickBooleanType | MagickClearException (MagickWand *wand)
WandExport char * | MagickGetException (const MagickWand *wand, ExceptionType *severity)
WandExport ExceptionType | MagickGetExceptionType (const MagickWand *wand)
WandExport long | MagickGetIteratorIndex (MagickWand *wand)
WandExport char * | MagickQueryConfigureOption (const char *option)
WandExport char ** | MagickQueryConfigureOptions (const char *pattern, unsigned long *number_options)
WandExport double * | MagickQueryFontMetrics (MagickWand *wand, const DrawingWand *drawing_wand, const char *text)
WandExport double * | MagickQueryMultilineFontMetrics (MagickWand *wand, const DrawingWand *drawing_wand, const char *text)
WandExport char ** | MagickQueryFonts (const char *pattern, unsigned long *number_fonts)
WandExport char ** | MagickQueryFormats (const char *pattern, unsigned long *number_formats)
WandExport void * | MagickRelinquishMemory (void *memory)
WandExport void | MagickResetIterator (MagickWand *wand)
WandExport void | MagickSetFirstIterator (MagickWand *wand)
WandExport MagickBooleanType | MagickSetIteratorIndex (MagickWand *wand, const long index)
WandExport void | MagickSetLastIterator (MagickWand *wand)
WandExport void | MagickWandGenesis (void)
WandExport void | MagickWandTerminus (void)
WandExport MagickWand * | NewMagickWand (void)
WandExport MagickWand * | NewMagickWandFromImage (const Image *image)
## Variables
static unsigned long | id = 0

## Define Documentation

#define ThrowWandException | ( | severity,
|  | tag,
|  | context |  | ) |

Value:

    { \
      (void) ThrowMagickException(wand->exception,GetMagickModule(),severity, \
        tag,"`%s'",context); \
      return(MagickFalse); \
    }

## Function Documentation

WandExport void ClearMagickWand | ( | MagickWand * | wand | ) |

WandExport MagickWand* CloneMagickWand | ( | const MagickWand * | wand | ) |

WandExport MagickWand* DestroyMagickWand | ( | MagickWand * | wand | ) |

WandExport MagickBooleanType IsMagickWand | ( | const MagickWand * | wand | ) |

WandExport MagickBooleanType MagickClearException | ( | MagickWand * | wand | ) |

WandExport char* MagickGetException | ( | const MagickWand * | wand,
|  | ExceptionType * | severity |
| ) |  |  |

WandExport ExceptionType MagickGetExceptionType | ( | const MagickWand * | wand | ) |

WandExport long MagickGetIteratorIndex | ( | MagickWand * | wand | ) |

WandExport char* MagickQueryConfigureOption | ( | const char * | option | ) |

WandExport char** MagickQueryConfigureOptions | ( | const char * | pattern,
|  | unsigned long * | number_options |
| ) |  |  |

WandExport double* MagickQueryFontMetrics | ( | MagickWand * | wand,
|  | const DrawingWand * | drawing_wand,
|  | const char * | text |
| ) |  |  |

WandExport char** MagickQueryFonts | ( | const char * | pattern,
|  | unsigned long * | number_fonts |
| ) |  |  |

WandExport char** MagickQueryFormats | ( | const char * | pattern,
|  | unsigned long * | number_formats |
| ) |  |  |

WandExport double* MagickQueryMultilineFontMetrics | ( | MagickWand * | wand,
|  | const DrawingWand * | drawing_wand,
|  | const char * | text |
| ) |  |  |

WandExport void* MagickRelinquishMemory | ( | void * | memory | ) |

WandExport void MagickResetIterator | ( | MagickWand * | wand | ) |

WandExport void MagickSetFirstIterator | ( | MagickWand * | wand | ) |

WandExport MagickBooleanType MagickSetIteratorIndex | ( | MagickWand * | wand,
|  | const long | index |
| ) |  |  |

WandExport void MagickSetLastIterator | ( | MagickWand * | wand | ) |

WandExport void MagickWandGenesis | ( | void |  | ) |

WandExport void MagickWandTerminus | ( | void |  | ) |

WandExport MagickWand* NewMagickWand | ( | void |  | ) |

WandExport MagickWand* NewMagickWandFromImage | ( | const Image * | image | ) |

## Variable Documentation

unsigned long id = 0`[static]`